Posted at

VSCodeのESLintで出るエラーを解決する

More than 1 year has passed since last update.

昨日からVSCodeとESLintを使い始めました。

その時、エラーが出たので対処法を書いておきます。


環境

macOS 10.13

VSCode 1.22.1


出たエラー

[Info  - 04:34:53] ESLint server is running.

[Info - 04:34:54] ESLint library loaded from: /Users/mimikun/.anyenv/envs/nodenv/versions/9.11.1/lib/node_modules/eslint/lib/api.js
[Error - 04:34:55] Failed to load plugin import: Cannot find module 'eslint-plugin-import' Referenced from: /Users/mimikun/GitRepo/react_native_tutorial/the_basics/.eslintrc.yml
[Info - 04:35:48] ESLint library loaded from: /Users/mimikun/GitRepo/react_native_tutorial/the_basics/node_modules/eslint/lib/api.js


やったこと

Failed to load plugin import: Cannot find module 'eslint-plugin-import' Referenced from:

で検索した


解決方法

yarn add eslint

これでエラーは出なくなった。